commit:     0b0835e92b11fbb29555dcaec1f9e93def4ca108
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed May 12 08:04:41 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed May 12 08:37:10 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0b0835e9

dev-python/pydantic: Bump to 1.8.2

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pydantic/Manifest              |  1 +
 dev-python/pydantic/pydantic-1.8.2.ebuild | 41 +++++++++++++++++++++++++++++++
 2 files changed, 42 insertions(+)

diff --git a/dev-python/pydantic/Manifest b/dev-python/pydantic/Manifest
index 20bf88990f2..724cfb12a76 100644
--- a/dev-python/pydantic/Manifest
+++ b/dev-python/pydantic/Manifest
@@ -1 +1,2 @@
 DIST pydantic-1.8.1.tar.gz 300512 BLAKE2B 
a7840bd895c73c3049184fc2c4a165783fd68a82290c3826be53667e7b7919580493aff9f2aaa25274b0251da14218dd6f7a41c1cb3cb55f0fbb0c90f79b7833
 SHA512 
dc58ab2e411744e63408c952c92c589acf037e809c60b85e02f277af2c6342c99c4fbfa7a585f14e57256912c0e6471821973bd2f755aac3822eb3a7883fd407
+DIST pydantic-1.8.2.tar.gz 301802 BLAKE2B 
f02fca273c356dd0ab177de73d21da7749e1a9ea1ead92f4e82b44285b97e8b8431961b2c30d230cbec817698791e4b0cdf8498615b7a0639fa739b09f1b58e8
 SHA512 
0a28c64b97678b932092e546da877a4a6d104fc7d3b7cb043b3494f0b7c6900cdc1ab8a83bdbd1879956a81da1b28ca27578b1a003bdca3e08f0f107e5690e06

diff --git a/dev-python/pydantic/pydantic-1.8.2.ebuild 
b/dev-python/pydantic/pydantic-1.8.2.ebuild
new file mode 100644
index 00000000000..26b8dccc514
--- /dev/null
+++ b/dev-python/pydantic/pydantic-1.8.2.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Data parsing and validation using Python type hints"
+HOMEPAGE="https://github.com/samuelcolvin/pydantic";
+# No tests on PyPI: https://github.com/samuelcolvin/pydantic/pull/1976
+SRC_URI="https://github.com/samuelcolvin/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+       dev-python/typing-extensions[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       dev-python/cython[${PYTHON_USEDEP}]
+       test? (
+               dev-python/pytest-mock[${PYTHON_USEDEP}]
+               dev-python/python-email-validator[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+       # seriously?
+       sed -i -e '/CFLAGS/d' setup.py || die
+       distutils-r1_src_prepare
+}
+
+python_test() {
+       # TODO
+       epytest --deselect tests/test_hypothesis_plugin.py
+}

Reply via email to